summaryrefslogtreecommitdiffstats
path: root/source/a/lilo
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/lilo')
-rwxr-xr-xsource/a/lilo/lilo.SlackBuild24
-rw-r--r--source/a/lilo/liloconfig14
-rw-r--r--source/a/lilo/slack14.0.2012.bmpbin0 -> 118256 bytes
3 files changed, 21 insertions, 17 deletions
diff --git a/source/a/lilo/lilo.SlackBuild b/source/a/lilo/lilo.SlackBuild
index 2e7902cde..2df7618d1 100755
--- a/source/a/lilo/lilo.SlackBuild
+++ b/source/a/lilo/lilo.SlackBuild
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-22.8}
-BUILD=${BUILD:-16}
+VERSION=${VERSION:-23.2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -43,15 +43,18 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf lilo-$VERSION
-tar xvf $CWD/lilo-$VERSION.src.tar.gz || exit 1
+tar xvf $CWD/lilo-$VERSION.tar.gz || exit 1
cd lilo-$VERSION
chown -R root:root .
-# This is needed for LVM+udev+devtmpfs
-zcat $CWD/lilo.use_major_minor_instead_lvm_name.diff.gz | patch -p1 --verbose || exit 1
+# Obsolete patch?
+## This is needed for LVM+udev+devtmpfs
+#( cd src
+# zcat $CWD/lilo.use_major_minor_instead_lvm_name.diff.gz | patch -p1 --verbose || exit 1
+#)
make || exit 1
-make install ROOT=$PKG
+make -i install DESTDIR=$PKG || exit 1
# Add a Slackware logo boot menu (sorry, couldn't resist):
if [ "$ARCH" = "x86_64" -a -f $CWD/slack64.bmp ]; then
@@ -61,13 +64,18 @@ else
fi
chmod 644 $PKG/boot/slack.bmp
-# We don't need to add this empty directory:
-rmdir $PKG/etc
+# Remove non-Slackware litter:
+( cd $PKG/boot
+ rm -f coffee.bmp *debian*
+)
+rm -r $PKG/etc/{initramfs,kernel}
# Add Slackware's 'liloconfig' utility:
mkdir -p $PKG/sbin
cp -a $CWD/liloconfig $PKG/sbin/liloconfig
chmod 755 $PKG/sbin/liloconfig
+# Hey, you're stomping on our name! Plus, it doesn't work.
+rm -f $PKG/usr/sbin/liloconfig
mkdir -p $PKG/var/log/setup
cp -a $CWD/setup.liloconfig $PKG/var/log/setup/setup.liloconfig
cp -a $CWD/text.lilohelp $PKG/var/log/setup/text.lilohelp
diff --git a/source/a/lilo/liloconfig b/source/a/lilo/liloconfig
index 7dccd3d62..d8bc02dd4 100644
--- a/source/a/lilo/liloconfig
+++ b/source/a/lilo/liloconfig
@@ -53,7 +53,7 @@ if [ ! -d "$T_PX" ]; then
fi
# Determine LILO documentation directory:
-LILODOCDIR="$(ls -d /usr/doc/lilo-* | tail -n 1)"
+LILODOCDIR="$(ls -d $T_PX/usr/doc/lilo-* 2> /dev/null | tail -n 1)"
if [ ! -d "$LILODOCDIR" ]; then
LILODOCDIR="/usr/doc/lilo/"
fi
@@ -236,14 +236,12 @@ hit ENTER to continue.\n\
}
ask_utf() {
- if [ "$(uname -r | cut -f 3 -d .)" -gt "23" ]; then
dialog --defaultno --title "USE UTF-8 TEXT CONSOLE?" --yesno \
"Beginning with the 2.6.24 kernel, the text consoles default to UTF-8 mode. \
Unless you are using a UTF-8 locale (\$LANG setting), using the old default \
of a non-UTF text console is safer until some issues with various console \
programs are addressed. This option has no effect on the use of UTF-8 with X. \
\"No\" is the safe choice here." 10 70
- fi
}
# This function scans for bootable partitions (making some assumptions along
@@ -584,12 +582,10 @@ checkbootsplash()
cp -a $LILODOCDIR/sample/sl1337.bmp /boot/slack.bmp
fi
fi
- # Thanks to amrit@slackware.com:
- if grep -wq 13.37.0 /etc/slackware-version ; then
- if ls -l /etc/lilo.conf | grep -q 13:37 ; then
- if [ -r $LILODOCDIR/sample/sl1337.bmp ]; then
- cp -a $LILODOCDIR/sample/sl1337.bmp /boot/slack.bmp
- fi
+ # Mayan calendar easter egg
+ if [ "$(date "+%Y%m%d")" = "20121221" ]; then
+ if [ -r $LILODOCDIR/sample/slack14.0.2012.bmp ]; then
+ cp -a $LILODOCDIR/sample/slack14.0.2012.bmp /boot/slack.bmp
fi
fi
}
diff --git a/source/a/lilo/slack14.0.2012.bmp b/source/a/lilo/slack14.0.2012.bmp
new file mode 100644
index 000000000..ea2176574
--- /dev/null
+++ b/source/a/lilo/slack14.0.2012.bmp
Binary files differ